<?php
	/*
	 *
	 * yMS (c) 2003 - 2020 Yal Publicidad
	 * Sistema: Macrodígital Software - de Yal Publicidad
	 *
	 */
	
	/* Autorizo acceso */
		defined('YMS') or die( 'No dispones de acceso' );

	if( !class_exists( 'yMSESS' ) ) die( '<br><b>Error:</b> La librería @lib.y_sess es necesaria para la ejecución de esta librería.' );
	
	function captcha($expiracion=0){
		return yMSCaptcha::captcha($expiracion);
	}

	function valCaptcha($vCaptcha=NULL){
		return yMSCaptcha::validar_captcha($vCaptcha);
	}
	
	class yMSCaptcha {
		private static $clCaptcha	= array();
		
		/* captcha() : Creo codigo captcha
		 * @param integer  $expiracion    tiempo en segundos en que expirara captcha
		*/
		public static function captcha($expiracion=0){
			// creo nombre de la sesion captcha
			///$nomSessCaptcha = md5(http_construir_url());
			$nomSessCaptcha = rand(10000,999999);
			return y_sesion(md5($nomSessCaptcha), $nomSessCaptcha);
			
		}
		
		/* validar_captcha() : Valida el captcha almacenado 
		 * @param string  $vCaptcha    valor captcha que se va a comparar
		*/
		public static function validar_captcha($vCaptcha=NULL){
			$valorCaptcha	= y_sesion(md5($vCaptcha));
			$valorCaptcha	= (empty($valorCaptcha)) ? '@'.rand(1,99999).'^/@' : $valorCaptcha;
			return ($valorCaptcha == $vCaptcha) ? true : false;
		}
	}
	
?>